aboutsummaryrefslogtreecommitdiff
path: root/tests/functional/legacy-ssh-store.sh
diff options
context:
space:
mode:
authorJade Lovelace <lix@jade.fyi>2024-04-07 22:34:24 -0700
committerJade Lovelace <lix@jade.fyi>2024-04-08 15:40:12 -0700
commit54bc1f1b9864ca2d784a03f239b7234c6956f929 (patch)
treea3486d8d9dfc1333ffbdf58b1be63f7243ba8201 /tests/functional/legacy-ssh-store.sh
parent0d37b99a155a82ea629ffc533c8f33250f6a4dd9 (diff)
"but doctor, I AM the untrusted store": nix doctor had wrong trustedness
This probably snuck in in a refactor using truthiness or so. The trustedness flag was having the optional fullness checked, rather than the actual contained trust level. Also adds some tests. ``` m1@6876551b-255d-4cb0-af02-8a4f17b27e2e ~ % nix store ping warning: 'nix store ping' is a deprecated alias for 'nix store info' Store URL: daemon Version: 2.20.4 Trusted: 0 m1@6876551b-255d-4cb0-af02-8a4f17b27e2e ~ % nix doctor warning: 'doctor' is a deprecated alias for 'config check' [PASS] PATH contains only one nix version. [PASS] All profiles are gcroots. [PASS] Client protocol matches store protocol. [INFO] You are trusted by store uri: daemon ``` Fixes: https://git.lix.systems/lix-project/lix/issues/232 Change-Id: I21576e2a0a755036edf8814133345987617ba3d0
Diffstat (limited to 'tests/functional/legacy-ssh-store.sh')
-rw-r--r--tests/functional/legacy-ssh-store.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/functional/legacy-ssh-store.sh b/tests/functional/legacy-ssh-store.sh
index 71b716b84..a75d55f34 100644
--- a/tests/functional/legacy-ssh-store.sh
+++ b/tests/functional/legacy-ssh-store.sh
@@ -1,4 +1,9 @@
source common.sh
+store_uri="ssh://localhost?remote-store=$TEST_ROOT/other-store"
+
# Check that store ping trusted doesn't yet work with ssh://
-nix --store ssh://localhost?remote-store=$TEST_ROOT/other-store store ping --json | jq -e 'has("trusted") | not'
+nix --store "$store_uri" store ping --json | jq -e 'has("trusted") | not'
+
+# Suppress grumpiness about multiple nixes on PATH
+(nix --store "$store_uri" doctor || true) 2>&1 | grep 'You are unknown trust'